Ppmpat User Manual(0)

NAME
ppmpat - make a pretty PPM image

SYNOPSIS
ppmpat {-gingham2|-g2} | {-gingham3|-g3} | -madras | -tartan | -poles | -squig | -camo | -anticamo width height

You can abbreviate any option to its shortest unique prefix.

DESCRIPTION

This program is part of Netpbm(1)

ppmpat produces a PPM of the specified width and height, with a pattern in it.

This program is mainly to demonstrate use of the ppmdraw routines, a simple but powerful drawing library. See the ppmdraw.h include file for more info on using these routines. Still, some of the patterns can be rather pretty. If you have a color workstation, something like ppmpat -squig 300 300 | pnmquant 128 should generate a nice background.

Some of these patterns have large numbers of colors, so if you want a simpler pattern, use pnmquant on the output.

OPTIONS

The options specify various pattern types:

-gingham2
    A gingham check pattern. Can be tiled.

-gingham3
    A slightly more complicated gingham. Can be tiled.

-madras
    A madras plaid. Can be tiled.

-tartan
    A tartan plaid. Can be tiled.

-poles
    Color gradients centered on randomly-placed poles.

-squig
    Squiggley tubular pattern. Can be tiled.

-camo
    Camouflage pattern.

-anticamo
    Anti-camouflage pattern - like -camo, but ultra-bright colors.

REFERENCES
Some of the patterns are from 'Designer's Guide to Color 3' by Jeanne Allen.

SEE ALSO
pnmtile(1) , pnmquant(1) , ppmmake(1) , ppmrainbow(1) , pamgradient(1) , ppm(5)

AUTHOR
Copyright (C) 1989 by Jef Poskanzer.